# Flute - API Reference Guide

Build date: 9.7.2026 11:11 AM


Version: V1

## Servers

Sandbox environment
```
https://sandbox.api.flute.com
```

Production environment
```
https://api.flute.com
```

## Security

### Bearer

Specify the authorization token.

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [Flute - API Reference Guide](https://developer.flute.com/_bundle/api-reference/@v1/index.yaml)

## Getting Started

 - [Creating a Flute Account](https://developer.flute.com/api-reference/getting-started/creating-a-flute-account.md): ### Creating a Flute Account Before using Flute payment capabilities or the Flute API suite, you must create a Flute sandbox account. All development and testing occurs first in a sandbox account. The
 - [Developing in the Sandbox Environment](https://developer.flute.com/api-reference/getting-started/developing-in-the-sandbox-environment.md): ### Developing in the Sandbox Environment The sandbox account is a fully isolated account that mirrors production behavior. It does not process real transactions. Use the sandbox for all testing and a
 - [Going Live](https://developer.flute.com/api-reference/getting-started/going-live.md): ### Going Live When your product is ready to be deployed live, the Flute support team will work with you to ensure compliance. This compliance follows the production readiness checklist. It ensures th
## API Suite Fundamentals

 - [BaseURL Environments](https://developer.flute.com/api-reference/api-suite-fundamentals/baseurl-environments.md): ### BaseURL Environments Flute provides different environments to run endpoints **Sandbox** The sandbox environment is for development and testing. No payments, charges, or invoices will be enforced.
 - [Payment Flow](https://developer.flute.com/api-reference/api-suite-fundamentals/payment-flow.md): ### Payment Flow The following is a generalized workflow.
 - [Approving a Purchase Request](https://developer.flute.com/api-reference/api-suite-fundamentals/approving-a-purchase-request.md): #### Approving a Purchase Request 1) The customer completes their shopping experience on the merchant's website by selecting the products or services. They navigate to the checkout page on the merchan
 - [Acknowledging a Purchase Request](https://developer.flute.com/api-reference/api-suite-fundamentals/acknowledging-a-purchase-request.md): #### Acknowledging a Purchase Request 1) After the transaction is processed, the processing center sends back a response to the Flute payment gateway. This response includes details of the transaction
 - [Supported Card Types](https://developer.flute.com/api-reference/api-suite-fundamentals/supported-card-types.md): ### Supported Card Types The following credit cards and formats are supported. - Diners Club: Card numbers are typically 14 or 16 digits long. - Discover: Card numbers are typically 16 digits long.
 - [Flute-Defined Enums](https://developer.flute.com/api-reference/api-suite-fundamentals/flute-defined-enums.md): ### Flute-Defined Enums The following are Flute-defined enumerations and indices used in endpoint fields. Account Holder Types| id | name | | --- | --- | | 1 | Business | | 2 | Personal | Account
## Authorization

 - [POST /oauth2/token](https://developer.flute.com/api-reference/authorization/get-oauth-token.md): POST {{baseOAuthURL}}/oauth2/token This endpoint obtains or refreshes an API token. The resulting API token may be either a: * Merchant token if it is created from a merchant API key * Partner token i
## ACH Transactions

 - [POST /pay-api/v1/transactions/ach/payment/credit](https://developer.flute.com/api-reference/ach-transactions/flute-v1-post-pay-api-transactions-ach-payment-credit.md): POST {{baseURL}}/pay-api/v1/transactions/ach/payment/credit This endpoint creates a credit ACH (automated clearing house) transaction to transfer funds from the merchant to the customer. It specifical
 - [POST /pay-api/v1/transactions/ach/payment](https://developer.flute.com/api-reference/ach-transactions/flute-v1-post-pay-api-transactions-ach-payment.md): POST {{baseURL}}/pay-api/v1/transactions/ach/payment This endpoint creates an ACH (automated clearing house) transaction to transfer funds from the customer to the merchant. It specifically transfers
 - [POST /pay-api/v1/transactions/ach/{transactionId}/void](https://developer.flute.com/api-reference/ach-transactions/flute-v1-post-pay-api-transactions-ach-id-void.md): POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/void This endpoint voids or cancels an ACH (automated clearing house) transaction payment before it is processed or submitted to the ACH
 - [POST /pay-api/v1/transactions/ach/{transactionId}/refund](https://developer.flute.com/api-reference/ach-transactions/flute-v1-post-pay-api-transactions-ach-id-refund.md): POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/refund This endpoint refunds an ACH (automated clearing house) transaction payment that has already been settled. It sends money back to
 - [POST /pay-api/v1/transactions/ach/{transactionId}/hold](https://developer.flute.com/api-reference/ach-transactions/flute-v1-post-pay-api-transactions-ach-id-hold.md): POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/hold This endpoint places an ACH (automated clearing house) transaction payment on hold. This is temporarily paused in processing. It is
 - [POST /pay-api/v1/transactions/ach/{transactionId}/unhold](https://developer.flute.com/api-reference/ach-transactions/payapi_v1_transactions_ach_id_unhold.md): POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/unhold This endpoint removes an ACH (automated clearing house) transaction payment that is on hold. The ACH transaction resumes being pro
## Categories

 - [GET /pay-int-api/categories](https://developer.flute.com/api-reference/categories/flute-v1-get-pay-int-api-categories.md): GET {{baseURL}}/pay-int-api/categories This endpoint retrieves a paginated list of the merchant's categories. Results can be narrowed with the `search` parameter for a case-insensitive, partial-match
 - [POST /pay-int-api/categories](https://developer.flute.com/api-reference/categories/flute-v1-post-pay-int-api-categories.md): POST {{baseURL}}/pay-int-api/categories This endpoint creates a new category. Example request: `POST {{baseURL}}/pay-int-api/categories` ```json Authorization: Bearer {{merchantApiToken}} Content-Typ
 - [PUT /pay-int-api/categories/{categoryId}](https://developer.flute.com/api-reference/categories/flute-v1-put-pay-int-api-categories-categoryid.md): PUT {{baseURL}}/pay-int-api/categories/{{categoryId}} This endpoint updates or edits category information. The category name must be unique in the merchant account. See Also: To list categories, see G
 - [DELETE /pay-int-api/categories/{categoryId}](https://developer.flute.com/api-reference/categories/flute-v1-delete-pay-int-api-categories-categoryid.md): DELETE {{baseURL}}/pay-int-api/categories/{{categoryId}} This endpoint deletes a category. This category will not be available in the catalog. Items linked to this category will still be in the catalo
## Configurations

 - [GET /pay-api/v1/configurations/payments](https://developer.flute.com/api-reference/configurations/flute-v1-get-pay-api-configurations-payments.md): GET {{baseURL}}/pay-api/v1/configurations/payments This endpoint returns a list of payment configurations. See Also: To retrieve a merchant's contact information, see GET /pay-api/v1/configurations/co
 - [GET /pay-api/v1/configurations/contact-infos](https://developer.flute.com/api-reference/configurations/flute-v1-get-pay-api-configurations-contact-infos.md): GET {{baseURL}}/pay-api/v1/configurations/contact-infos This endpoint returns the merchant's detailed information. The list includes contact information records for the merchant, such as address, phon
## Customers

 - [GET /pay-api/v1/customers](https://developer.flute.com/api-reference/customers/pay_api_v1_search_customers.md): GET {{baseURL}}/pay-api/v1/customers This endpoint lists the partner's customers. The search can specify filters to better target intended customers. Navigation: [ Headers ] [ Query ] [ Requ
 - [POST /pay-api/v1/customers](https://developer.flute.com/api-reference/customers/pay_api_v1_customers.md): POST {{baseURL}}/pay-api/v1/customers This endpoint creates a customer. The return field `id` is the customerId, also referred to as the *customer identifier*. Use this value to specify this customer
 - [GET /pay-api/v1/customers/{customerId}](https://developer.flute.com/api-reference/customers/pay_api_v1_get_customers_customerid.md): GET {{baseURL}}/pay-api/v1/customers/{{customerId}} This endpoint retrieves the specified customer. See Also: To list customers, see GET /pay-api/v1/customers. To create a customer, see POST /pay-api/
 - [PUT /pay-api/v1/customers/{customerId}](https://developer.flute.com/api-reference/customers/pay_api_v1_update_customers_customerid.md): PUT {{baseURL}}/pay-api/v1/customers/{{customerId}} This endpoint updates a customer's information. Care must be taken to complete all the fields with the existing information. See Also: To list cust
 - [DELETE /pay-api/v1/customers/{customerId}](https://developer.flute.com/api-reference/customers/pay_api_v1_delete_customers_customerid.md): DELETE {{baseURL}}/pay-api/v1/customers/{{customerId}} This endpoint deletes the specified customer. See Also: To list customers, see GET /pay-api/v1/customers. To create a customer, see POST /pay-api
 - [POST /pay-api/v1/customers/{customerId}/payment-methods/cards](https://developer.flute.com/api-reference/customers/pay_api_v1_customers_customerid_payment_methods_cards.md): POST {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods/cards This endpoint adds a payment method for credit and debit cards. See Also: To list a customer's payment methods, see GET /pay-
 - [POST /pay-api/v1/customers/{customerId}/payment-methods/ach](https://developer.flute.com/api-reference/customers/pay_api_v1_customers_customerid_payment_methods_ach.md): POST {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods/ach This endpoint creates a payment method for EFT or ACH (automated clearing house) transactions. The following is an example of t
 - [GET /pay-api/v1/customers/{customerId}/payment-methods](https://developer.flute.com/api-reference/customers/pay_api_v1_customers_customerid_payment_methods.md): GET {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods This endpoint lists a customer's payment methods. See Also: To create an ACH payment method for a customer, see POST /pay-api/v1/cus
 - [PUT /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}](https://developer.flute.com/api-reference/customers/pay_api_v1_put_customers_customerid_payment_methods_paymentmethodid.md): PUT {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods/{{paymentMethodId}} This endpoint updates the specified customer's payment method. Only the payment method name may be changed with
 - [DELETE /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}](https://developer.flute.com/api-reference/customers/pay_api_v1_delete_customers_customerid_payment_methods_paymentmethodid.md): DELETE {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods/{{paymentMethodId}} This endpoint deletes the specified payment method. See Also: To list a customer's payment methods, see GET /
 - [PUT /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}/make-default](https://developer.flute.com/api-reference/customers/pay_api_v1_customers_customerid_payment_methods_paymentmethodid_make_default.md): PUT {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods/{{paymentMethodId}}/make-default This endpoint sets the specified payment method as the default. Care must be taken to complete all
## Devices

 - [GET /pay-api/v1/devices](https://developer.flute.com/api-reference/devices/pay_api_v1_get_devices.md): GET {{baseURL}}/pay-api/v1/devices This endpoint retrieves the list of registered devices. See Also: To create or update a device, see POST /pay-api/v1/devices. To generate a tap-to-pay token for a de
 - [POST /pay-api/v1/devices](https://developer.flute.com/api-reference/devices/pay_api_v1_create_devices.md): POST {{baseURL}}/pay-api/v1/devices This endpoint creates or updates a device by ID. See Also: To retrieve devices, see GET /pay-api/v1/devices. To generate a tap-to-pay token for a device, see POST /
 - [GET /pay-api/v1/devices/{deviceId}](https://developer.flute.com/api-reference/devices/pay_api_v1_devices_deviceid.md): GET {{baseURL}}/pay-api/v1/devices/{{deviceId}} This endpoint retrieves the specified device. See Also: To retrieve devices, see GET /pay-api/v1/devices. To create or update a device, see POST /pay-ap
 - [POST /pay-api/v1/devices/tap-to-pay/jwt](https://developer.flute.com/api-reference/devices/pay_api_v1_devices_tap_to_pay_jwt.md): POST {{baseURL}}/pay-api/v1/devices/tap-to-pay/jwt This endpoint generates a tap-to-pay token for a device by ID. See Also: To retrieve devices, see GET /pay-api/v1/devices. To create or update a devi
 - [POST /pay-api/v1/devices/{deviceId}/tap-to-pay/activate](https://developer.flute.com/api-reference/devices/pay_api_v1_devices_deviceid_tap_to_pay_activate.md): POST {{baseURL}}/pay-api/v1/devices/{{deviceId}}/tap-to-pay/activate This endpoint activates tap-to-pay functionality by device ID. See Also: To retrieve devices, see GET /pay-api/v1/devices. To creat
## Invoices

 - [GET /pay-int-api/invoices](https://developer.flute.com/api-reference/invoices/flute-v1-get-pay-int-api-invoices.md): GET {{baseURL}}/pay-int-api/invoices This endpoint retrieves a paginated list of invoices belonging to the current merchant. Results can be filtered by date range, status, or a search string. Filterab
 - [POST /pay-int-api/invoices](https://developer.flute.com/api-reference/invoices/flute-v1-post-pay-int-api-invoices.md): POST {{baseURL}}/pay-int-api/invoices This endpoint creates a new invoice for the merchant. A newly created invoice is saved in `Draft` status. A draft invoice isn't visible to the customer yet. It ca
 - [GET /pay-int-api/invoices/{invoiceId}](https://developer.flute.com/api-reference/invoices/flute-v1-get-pay-int-api-invoices-invoiceid.md): GET {{baseURL}}/pay-int-api/invoices/{{invoiceId}} This endpoint retrieves an invoice by ID. The following is an example request. ```http GET {{baseURL}}/pay-int-api/invoices/{{invoiceId}} HTTP/1.1 A
 - [PUT /pay-int-api/invoices/{invoiceId}](https://developer.flute.com/api-reference/invoices/flute-v1-put-pay-int-api-invoices-invoiceid.md): PUT {{baseURL}}/pay-int-api/invoices/{{invoiceId}} This endpoint updates a specified invoice. Care must be taken to complete all the fields with the existing information. See Also: To list invoices,
 - [DELETE /pay-int-api/invoices/{invoiceId}](https://developer.flute.com/api-reference/invoices/flute-v1-delete-pay-int-api-invoices-invoiceid.md): DELETE {{baseURL}}/pay-int-api/invoices/{{invoiceId}} This endpoint deletes an invoice. Deleting an invoice permanently removes it from the merchant's records. Only a Draft invoice can be deleted. Onc
 - [POST /pay-int-api/invoices/{id}/submit](https://developer.flute.com/api-reference/invoices/flute-v1-post-pay-int-api-invoices-invoiceid-submit.md): POST {{baseURL}}/pay-int-api/invoices/{{invoiceId}}/submit This endpoint submits an invoice for only card payments processing. Submitting an invoice charges a card directly against its total, without
 - [POST /pay-int-api/invoices/{invoiceId}/ach/submit](https://developer.flute.com/api-reference/invoices/flute-v1-post-pay-int-api-invoices-invoiceid-ach-submit.md): POST {{baseURL}}/pay-int-api/invoices/{{invoiceId}}/ach/submit This endpoint submits an ACH invoice for processing. Submitting an invoice for ACH charges a bank account directly against its total, wit
 - [GET /pay-int-api/invoices/{invoiceId}/calculations](https://developer.flute.com/api-reference/invoices/flute-v1-get-pay-int-api-invoices-invoiceid-calculations.md): GET {{baseURL}}/pay-int-api/invoices/{{invoiceId}}/calculations This endpoint retrieves the calculated totals for the specified invoice. It returns the breakdown behind the invoice's final amount, not
 - [POST /pay-int-api/invoices/publish](https://developer.flute.com/api-reference/invoices/flute-v1-post-pay-int-api-invoices-publish.md): POST {{baseURL}}/pay-int-api/invoices/publish This endpoint publishes an invoice. See Also: To create an invoice, see POST /pay-int-api/invoices. To retrieve an invoice by ID, see GET /pay-int-api/inv
 - [PUT /pay-int-api/invoices/{invoiceId}/cancel](https://developer.flute.com/api-reference/invoices/flute-v1-put-pay-int-api-invoices-invoiceid-cancel.md): PUT {{baseURL}}/pay-int-api/invoices/{{invoiceId}}/cancel This endpoint cancels an invoice. Only invoices in published (Due, Past Due) status and not paid can be canceled. Care must be taken to compl
 - [PUT /pay-int-api/invoices/{invoiceId}/mark-as-paid](https://developer.flute.com/api-reference/invoices/flute-v1-put-pay-int-api-invoices-invoiceid-mark-as-paid.md): PUT {{baseURL}}/pay-int-api/invoices/{{invoiceId}}/mark-as-paid This endpoint marks an invoice as paid. Only invoices in published (Due, Past Due) status and not paid can be marked as paid. Care must
 - [POST /pay-int-api/invoices/{invoiceId}/send-published-sms-notification](https://developer.flute.com/api-reference/invoices/flute-v1-post-pay-int-api-invoices-invoiceid-send-published-sms-notification.md): POST {{baseURL}}/pay-int-api/invoices/{{invoiceId}}/send-published-sms-notification This endpoint sends an invoice notification by SMS. See Also: To retrieve an invoice by ID, see GET /pay-int-api/inv
 - [POST /pay-int-api/invoices/{invoiceId}/send-email-notification](https://developer.flute.com/api-reference/invoices/flute-v1-post-pay-int-api-invoices-invoiceid-send-email-notification.md): POST {{baseURL}}/pay-int-api/invoices/{{invoiceId}}/send-email-notification This endpoint sends an invoice notification by email. See Also: To retrieve an invoice by ID, see GET /pay-int-api/invoices/
 - [GET /pay-int-api/invoices/{invoiceId}/download-pdf](https://developer.flute.com/api-reference/invoices/flute-v1-get-pay-int-api-invoices-invoiceid-download-pdf.md): GET {{baseURL}}/pay-int-api/invoices/{{invoiceId}}/download-pdf This endpoint downloads the specified invoice as a PDF document. Available only for published invoices. See Also: To retrieve an invoice
## Invoices Settings

 - [GET /pay-int-api/merchants/{merchantId}/invoices/settings](https://developer.flute.com/api-reference/invoices-settings/flute-v1-get-pay-int-api-merchants-merchantid-invoices-settings.md): GET {{baseURL}}/pay-int-api/merchants/{{merchantId}}/invoices/settings This endpoint retrieves the specified merchant's invoice settings. These settings control how invoices behave for that merchant.
 - [PUT /pay-int-api/merchants/{merchantId}/invoices/settings](https://developer.flute.com/api-reference/invoices-settings/flute-v1-put-pay-int-api-merchants-merchantid-invoices-settings.md): PUT {{baseURL}}/pay-int-api/merchants/{{merchantId}}/invoices/settings This endpoint updates the specified invoice setting. It controls behavior like whether line item prices can be overwritten, wheth
## Line Items

 - [GET /pay-int-api/line-items](https://developer.flute.com/api-reference/line-items/flute-v1-get-pay-int-api-line-items.md): GET {{baseURL}}/pay-int-api/line-items This endpoint retrieves a paginated list of line items from the merchant's catalog. Results can be filtered by search string, by a specific category, or limited
 - [POST /pay-int-api/line-items](https://developer.flute.com/api-reference/line-items/flute-v1-post-pay-int-api-line-items.md): POST {{baseURL}}/pay-int-api/line-items This endpoint creates a new line item in the merchant's catalog. The catalog is the collective set of line items assigned to a merchant. A line item represents
 - [PUT /pay-int-api/line-items/{lineItemId}](https://developer.flute.com/api-reference/line-items/flute-v1-put-pay-int-api-line-items-lineitemid.md): PUT {{baseURL}}/pay-int-api/line-items/{{lineItemId}} This endpoint updates the specified line item. The following is an example request. ```http PUT {{baseURL}}/pay-int-api/line-items/{{lineItemId}}
 - [DELETE /pay-int-api/line-items/{lineItemId}](https://developer.flute.com/api-reference/line-items/flute-v1-delete-pay-int-api-line-items-lineitemid.md): DELETE {{baseURL}}/pay-int-api/line-items/{{lineItemId}} This endpoint deletes a specified line item from the merchant's catalog. Once deleted, the item is permanently removed and can no longer be ref
 - [GET /pay-int-api/line-items/unit-types](https://developer.flute.com/api-reference/line-items/flute-v1-get-pay-int-api-line-items-unit-types.md): GET {{baseURL}}/pay-int-api/line-items/unit-types This endpoint retrieves the full list of unit types available for line items. This is a read only endpoint, so no request body is needed. Each unit ty
## Merchant API Keys

 - [GET /pay-api/v1/merchants](https://developer.flute.com/api-reference/merchant-api-keys/flute-v1-get-pay-api-merchants.md): GET {{baseURL}}/pay-api/v1/merchants This endpoint lists merchants associated with the authenticated partner (ISV). The following query parameters are search filters used to specify the retuurned resu
 - [GET /pay-api/v1/merchants/tokens](https://developer.flute.com/api-reference/merchant-api-keys/flute-v1-get-pay-api-merchants-tokens.md): GET {{baseURL}}/pay-api/v1/merchants/tokens This endpoint lists merchant API keys created for merchants under a partner account. The query parameter filter may be used to further specify API keys to r
 - [POST /pay-api/v1/merchants/tokens](https://developer.flute.com/api-reference/merchant-api-keys/flute-v1-post-pay-api-merchants-tokens.md): POST {{baseURL}}/pay-api/v1/merchants/tokens This endpoint creates an API key for a merchant managed by their partner account. Provide the Merchant ID and a API key name to generate a client Id and cl
 - [DELETE /pay-api/v1/merchants/tokens/{clientId}](https://developer.flute.com/api-reference/merchant-api-keys/flute-v1-delete-pay-api-merchants-tokens-clientid.md): DELETE {{baseURL}}/pay-api/v1/merchants/tokens/{{clientId}} This endpoint revokes an API key associated with a merchant under their partner account. This action revokes the token and prevents further
## Payment Sessions

 - [POST /pay-int-api/payment-sessions](https://developer.flute.com/api-reference/payment-sessions/pay_int_api_payment_sessions.md): POST {{baseURL}}/pay-int-api/payment-sessions This endpoint creates a payment session object. The client, typically a frontend or checkout page, can use to securely collect payment details and process
 - [POST /pay-int-api/payment-sessions/{paymentSessionId}/cancel](https://developer.flute.com/api-reference/payment-sessions/flute-v1-post-pay-int-api-payment-sessions-paymentsessionid-cancel.md): POST {{baseURL}}/pay-int-api/payment-sessions/{{paymentSessionId}}/cancel See Also: To create a payment session, see POST /pay-int-api/payment-sessions. To retrieve payment session details by ID, see
 - [GET /pay-int-api/payment-sessions/{paymentSessionId}](https://developer.flute.com/api-reference/payment-sessions/pay_int_api_payment_sessions_paymentsessionid.md): GET {{baseURL}}/pay-int-api/payment-sessions/{{paymentSessionId}} This endpoint retrieves the details of the specified payment session. See Also: To create a payment session, see POST /pay-int-api/pay
## Ping

 - [GET /pay-int-api/ping](https://developer.flute.com/api-reference/ping/flute-v1-get-pay-int-api-ping.md): GET {{baseURL}}/pay-int-api/ping This endpoint ping endpoint to validate the token is active and valid.
## POS Transactions

 - [GET /pos-api/v1/pos-transactions](https://developer.flute.com/api-reference/pos-transactions/flute-v1-get-pos-api-pos-transactions.md): GET {{baseURL}}/pos-api/v1/pos-transactions This endpoint lists POS transactions. See Also: To create a POS transaction, see POST /pos-api/v1/pos-transactions. To retrieve a POS transaction by ID, see
 - [POST /pos-api/v1/pos-transactions](https://developer.flute.com/api-reference/pos-transactions/flute-v1-post-pos-api-pos-transactions.md): POST {{baseURL}}/pos-api/v1/pos-transactions This endpoint creates a POS transaction. It initiates a new transaction on the terminal device with predefined information, such as amount and transaction
 - [GET /pos-api/v1/pos-transactions/{id}](https://developer.flute.com/api-reference/pos-transactions/flute-v1-get-pos-api-pos-transactions-id.md): GET {{baseURL}}/pos-api/v1/pos-transactions/{{posTransactionsid}} This endpoint retrieves a POS transaction by ID. See Also: To list POS transactions, see GET /pos-api/v1/pos-transactions. To create a
 - [POST /pos-api/v1/pos-transactions/{id}/cancel](https://developer.flute.com/api-reference/pos-transactions/flute-v1-post-pos-api-pos-transactions-id-cancel.md): POST {{baseURL}}/pos-api/v1/pos-transactions/{{posTransactionsid}}/cancel This endpoint cancels a POS transaction by ID. See Also: To list POS transactions, see GET /pos-api/v1/pos-transactions. To cr
 - [POST /pos-api/v1/pos-transactions/{posTransactionId}/print](https://developer.flute.com/api-reference/pos-transactions/flute-v1-post-pos-api-pos-transactions-postransactionid-print.md): POST {{baseURL}}/pos-api/v1/pos-transactions/{{posTransactionId}}/print This endpoint allows semi-integrated ISVs to trigger a physical reprint of a completed transaction receipt directly from the POS
## Quick Payments

 - [POST /pay-int-api/quick-payments/one-time](https://developer.flute.com/api-reference/quick-payments/flute-v1-post-pay-int-api-quick-payments-one-time.md): POST {{baseURL}}/pay-int-api/quick-payments/one-time This endpoint is deprecated. Quick Payments will be removed at the end of December 2026. To create a payment link, use POST /v2/payment-links wit
 - [GET /pay-int-api/quick-payments/one-time](https://developer.flute.com/api-reference/quick-payments/flute-v1-get-pay-int-api-quick-payments-one-time.md): GET {{baseURL}}/pay-int-api/quick-payments/one-time This endpoint is deprecated. Quick Payments will be removed at the end of December 2026. To list payment links, use GET /v2/payment-links, filtere
 - [GET /pay-int-api/quick-payments/one-time/{quickPaymentId}](https://developer.flute.com/api-reference/quick-payments/flute-v1-get-pay-int-api-quick-payments-one-time-quickpaymentid.md): POST {{baseURL}}/pay-int-api/quick-payments/one-time/{{quickPaymentId}} This endpoint is deprecated. Quick Payments will be removed at the end of December 2026. To retrieve a payment link, use GET /
 - [POST /pay-int-api/quick-payments/{quickPaymentId}/activate](https://developer.flute.com/api-reference/quick-payments/flute-v1-post-pay-int-api-quick-payments-quickpaymentid-activate.md): POST {{baseURL}}/pay-int-api/quick-payments/{{quickPaymentId}}/activate This endpoint is deprecated. Quick Payments will be removed at the end of December 2026. Payment Links do not require a separa
 - [POST /pay-int-api/quick-payments/{quickPaymentId}/deactivate](https://developer.flute.com/api-reference/quick-payments/flute-v1-post-pay-int-api-quick-payments-quickpaymentid-deactivate.md): POST {{baseURL}}/pay-int-api/quick-payments/{{quickPaymentId}}/deactivate This endpoint is deprecated. Quick Payments will be removed at the end of December 2026. To deactivate a payment link, use D
 - [POST /pay-int-api/quick-payments/{quickPaymentId}/send-sms-notification](https://developer.flute.com/api-reference/quick-payments/flute-v1-post-pay-int-api-quick-payments-quickpaymentid-send-sms-notification.md): POST {{baseURL}}/pay-int-api/quick-payments/{{quickPaymentId}}/send-sms-notification This endpoint is deprecated. Quick Payments will be removed at the end of December 2026. To share a payment link
 - [POST /pay-int-api/quick-payments/reusable](https://developer.flute.com/api-reference/quick-payments/flute-v1-post-pay-int-api-quick-payments-reusable.md): POST {{baseURL}}/pay-int-api/quick-payments/reusable This endpoint is deprecated. Quick Payments will be removed at the end of December 2026. To create a payment link, use POST /v2/payment-links wit
 - [GET /pay-int-api/quick-payments/reusable](https://developer.flute.com/api-reference/quick-payments/flute-v1-get-pay-int-api-quick-payments-reusable.md): GET {{baseURL}}/pay-int-api/quick-payments/reusable This endpoint is deprecated. Quick Payments will be removed at the end of December 2026. To list payment links, use GET /v2/payment-links, filtere
 - [GET /pay-int-api/quick-payments/reusable/{quickPaymentId}](https://developer.flute.com/api-reference/quick-payments/flute-v1-get-pay-int-api-quick-payments-reusable-quickpaymentid.md): POST {{baseURL}}/pay-int-api/quick-payments/reusable/{{quickPaymentId}} This endpoint is deprecated. Quick Payments will be removed at the end of December 2026. To retrieve a payment link, use GET /
## Settlement Batches

 - [GET /pay-api/v1/settlements/batches](https://developer.flute.com/api-reference/settlement-batches/flute-v1-get-pay-api-settlements-batches.md): GET {{baseURL}}/pay-api/v1/settlements/batches This endpoint lists transaction batch settlements.
## Subscription

 - [GET /sub-api/v1/subscriptions](https://developer.flute.com/api-reference/subscription/sub_api_v1_list_subscriptions.md): GET {{baseURL}}/sub-api/v1/subscriptions This endpoint returns a list of the merchant's subscriptions. See Also: To create a subscription, see POST /sub-api/v1/subscriptions. To retrieve a subscriptio
 - [POST /sub-api/v1/subscriptions](https://developer.flute.com/api-reference/subscription/sub_api_v1_create_subscriptions.md): POST {{baseURL}}/sub-api/v1/subscriptions This endpoint creates a subscription. A subscription is a recurring payment. The client authorizes a transaction at regular intervals, such as weekly, monthly
 - [GET /sub-api/v1/subscriptions/{subscriptionId}](https://developer.flute.com/api-reference/subscription/flute-v1-get-sub-api-subscriptions-subscriptionid.md): GET {{baseURL}}/sub-api/v1/subscriptions/{subscriptionId} This endpoint retrieves a specified subscription. See Also: To list a merchant's subscriptions, see GET /sub-api/v1/subscriptions. To create a
 - [GET /sub-api/v1/subscriptions/{subscriptionId}/payments](https://developer.flute.com/api-reference/subscription/flute-v1-get-sub-api-subscriptions-subscriptionid-payments.md): GET {{baseURL}}/sub-api/v1/subscriptions/{{subscriptionId}}/payments This endpoint retrieves a history of payments for a specified subscription. See Also: To list a merchant's subscriptions, see GET /
 - [PUT /sub-api/v1/subscriptions/{subscriptionId}/terminate](https://developer.flute.com/api-reference/subscription/flute-v1-put-sub-api-subscriptions-subscriptionid-terminate.md): PUT {{baseURL}}/sub-api/v1/subscriptions/{{subscriptionId}}/terminate This endpoint terminates, or cancels, an active subscription. This action occurs immediately and cannot be undone. See Also: To li
## Terminals

 - [GET /pos-api/v1/terminals](https://developer.flute.com/api-reference/terminals/flute-v1-get-pos-api-terminals.md): GET {{baseURL}}/pos-api/v1/terminals This endpoint lists a merchant's terminals. See Also: To retrieve a terminal's POS status by ID, see GET /pos-api/v1/terminals/{terminalId}/status.
 - [GET /pos-api/v1/terminals/{id}/status](https://developer.flute.com/api-reference/terminals/flute-v1-get-pos-api-terminals-id-status.md): GET {{baseURL}}/pos-api/v1/terminals/{{terminalId}}/status This endpoint retrieves the current status and details of a terminal device. It provides the latest available information about a terminal, u
## Transactions

 - [One-Step Operations Workflow](https://developer.flute.com/api-reference/transactions/one-step-operations-workflow.md): #### One-Step Operations Workflow The following procedure is for completing a one-step operation. Authenticate Ensure a valid and current API token is available. This is generated from the partner or
 - [Two-Step Operations Workflow](https://developer.flute.com/api-reference/transactions/two-step-operations-workflow.md): #### Two-Step Operations Workflow The following procedure is for completing a two-step operation. Authenticate Ensure a valid and current API token is available. This is generated from the partner or
 - [GET /pay-api/v1/transactions](https://developer.flute.com/api-reference/transactions/flute-v1-get-pay-api-transactions.md): GET {{baseURL}}/pay-api/v1/transactions This endpoint returns a list of transactions details. See Also: To create a transaction, see POST /pay-api/v1/transactions/sale. To retrieve a transaction by ID
 - [GET /pay-api/v1/transactions/{id}](https://developer.flute.com/api-reference/transactions/flute-v1-get-pay-api-transactions-id.md): GET {{baseURL}}/pay-api/v1/transactions/{{transactionId}} This endpoint retrieves a specified transaction details. See Also: To list transactions, see GET /pay-api/v1/transactions. To create a transac
 - [POST /pay-api/v1/transactions/auth](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_auth.md): POST {{baseURL}}/pay-api/v1/transactions/auth This endpoint authorizes a payment transaction. This verifies that the customer's payment method is valid and that sufficient funds or credit are availabl
 - [POST /pay-api/v1/transactions/card-verification](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_card_verification.md): POST {{baseURL}}/pay-api/v1/transactions/card-verification This endpoint verifies a card's details with the issuing bank without charging it. This checks the card against AVS (address verification ser
 - [POST /pay-api/v1/transactions/sale](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_sale.md): POST {{baseURL}}/pay-api/v1/transactions/sale This endpoint completes a transaction in a single step. It combines the two actions of authorizing and capturing a transaction into a single endpoint. Use
 - [POST /pay-api/v1/transactions/capture](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_capture.md): POST {{baseURL}}/pay-api/v1/transactions/capture This endpoint captures a previously authorized transaction. The capture must reference an existing authorized transaction. It intends to convert the au
 - [POST /pay-api/v1/transactions/return](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_return.md): POST {{baseURL}}/pay-api/v1/transactions/return This endpoint refunds or returns funds from an original transaction identifier. This creates a refund transaction that is linked to a specific previous
 - [POST /pay-api/v1/transactions/return/no-reference](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_return_without_reference.md): POST {{baseURL}}/pay-api/v1/transactions/return/no-reference This endpoint refunds or returns funds without a reference. Without a reference means the customer does not have the link to the original t
 - [POST /pay-api/v1/transactions/settle](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_settle.md): POST {{baseURL}}/pay-api/v1/transactions/settle This endpoint settles, or completes, a transaction. A settlement transaction is the step in the payment process when an authorized transaction is finali
 - [POST /pay-api/v1/transactions/void](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_void.md): POST {{baseURL}}/pay-api/v1/transactions/void This endpoint voids or cancels a transaction payment before it is processed or settled. The transaction cannot be voided after it has been captured. See A
 - [POST /pay-api/v1/transactions/tip-adjustment](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_tip_adjustment.md): POST {{baseURL}}/pay-api/v1/transactions/tip-adjustment This endpoint adjusts the tip amount. This must be on a previously authorized transaction before settlement. Typically, the transaction is autho
 - [POST /pay-api/v1/transactions/{id}/send-transaction-receipt-by-sms](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_id_send_transaction_receipt_by_sms.md): POST {{baseURL}}/pay-api/v1/transactions/{{transactionId}}/send-transaction-receipt-by-sms This endpoint sends a transaction receipt to the customer by SMS. See Also: To retrieve a transaction by ID,
 - [GET /pay-api/v1/transactions/calculate-amount](https://developer.flute.com/api-reference/transactions/pay_api_v1_transactions_calculate_amount.md): GET {{baseURL}}/pay-api/v1/transactions/calculate-amount This endpoint calculates transaction amounts. The amounts are based on the merchant's ZCP (zero cost processing) mode. This includes dual prici
## Transaction Settings

 - [GET /pay-api/v1/transactions/settings/autofill](https://developer.flute.com/api-reference/transaction-settings/flute-v1-get-pay-api-transactions-settings-autofill.md): GET {{baseURL}}/pay-api/v1/transactions/settings/autofill This endpoint retrieves Level 2 and Level 3 autofill settings. See Also: To update level 2 and 3 autofill settings, see PUT /pay-api/v1/transa
 - [PUT /pay-api/v1/transactions/settings/autofill](https://developer.flute.com/api-reference/transaction-settings/flute-v1-put-pay-api-transactions-settings-autofill.md): PUT {{baseURL}}/pay-api/v1/transactions/settings/autofill This endpoint updates Level 2-Level 3 autofill settings. Care must be taken to complete all the fields with the existing information. See Als
